1. Docs
  2. API Reference
  3. Get an organization

Get an organization

GET/api/v1/organizations/{id}

Returns a single organization by id with member_count and pending_invite_count. Returns 404 when the id does not name a live organization in the current Environment. Requires the hierarchy.view permission at the organization.

Authentication

Bearer TokenAuthorization Option A

JWT access token

API KeyX-API-Key Option B

API key for management-tier access

Path Parameters

idstring Required

Responses

application/json

  • dataOrganizationResponseDto*

application/json

  • errorApiErrorBodyDto*

application/json

  • errorApiErrorBodyDto*

application/json

  • errorApiErrorBodyDto*

Returned object

Request
curl -X GET "https://auth.canopy-io.com/api/v1/organizations/value" \
  -H "X-API-Key: $CANOPY_API_KEY"
Response
{
  "data": {
    "id": "string",
    "name": "string",
    "description": "string",
    "slug": "string",
    "metadata": {},
    "member_count": 0,
    "pending_invite_count": 0,
    "created_at": "2026-04-20T12:00:00.000Z",
    "updated_at": "2026-04-20T12:00:00.000Z",
    "version": 0
  }
}
Related endpoints
GETList organizations
POSTCreate an organization
PATCHUpdate an organization
DELETEDelete an organization
GETList an organization's members
POSTAdd a member to an organization
PATCHChange a member's role
DELETERemove a member from an organization
GETList an organization's invitations
POSTInvite a member into an organization
DELETERevoke an organization invitation
Was this page helpful?

Tell us how we can improve this guide.